Hardware acceleration support needed with Gstreamer on NVIDEA GPU

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Hardware acceleration support needed with Gstreamer on NVIDEA GPU

Shrishty Deorari

Hi All,

I am trying to build VDPAU GStreamer plugins which as I understand are supported inside gst-plugins-bad.  I have following system configuration:

System :   16.04 Ubuntu , 64 bit
Gstreamer: 1.4.5
GPU card and Driver: GeForce GTX 750 Ti, Driver Version: 384.59

The issue is after installing drivers for GPU card and building Gstreamer from scratch (all modules one by one) I built gst-plugins-bad but I see only one vdpau plugin through  gst-inspect-1.0 command.

 ./gst-inspect-1.0 | grep  vdpau
vdpau:  vdpaumpegdec: VDPAU Mpeg Decode

No Other plugins are built or found.

Debugging further I tried enabling hardware accelerations and vdpau while configuring gstliav using following options. 

--enable-vdpau --enable-hwaccels"
On doing so I can see :
Enabled hwaccels:
h263_vdpau        mpeg2_vdpau        vc1_vdpau
h264_vdpau        mpeg4_vdpau        wmv3_vdpau
mpeg1_vdpau


BUt Still, there are no other plugins available for h264 encoding and decoding of VDPAU.
Does the GPU card Which I am using doesn't have this support? Anyone with any clue on this?





With Warm Regards,

Shrishty Deorari




_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Hardware acceleration support needed with Gstreamer on NVIDEA GPU

Nicolas Dufresne-5
Le mardi 01 août 2017 à 18:50 +0530, Shrishty Deorari a écrit :
>
> Hi All,
>
> I am trying to build VDPAU GStreamer plugins which as I understand
> are supported inside gst-plugins-bad.  I have following system
> configuration:

"supported" is a bit of an exaggeration. Those elements were barely
ported. As you notice, only MPEG 2 Video decoder is in there. The
interest for supporting this API has remain extremely low, the porting
has not moved ever since. The interest is even lower that that NVidia
has moved to a different API for it's newest HW.

>
> System :   16.04 Ubuntu , 64 bit
> Gstreamer: 1.4.5
> GPU card and Driver: GeForce GTX 750 Ti, Driver Version: 384.59
>
> The issue is after installing drivers for GPU card and building
> Gstreamer from scratch (all modules one by one) I built gst-plugins-
> bad but I see only one vdpau plugin through  gst-inspect-1.0 command.
>
>  ./gst-inspect-1.0 | grep  vdpau
> vdpau:  vdpaumpegdec: VDPAU Mpeg Decode
>
> No Other plugins are built or found.
Yes, nothing else has been ported.

>
> Debugging further I tried enabling hardware accelerations and vdpau
> while configuring gstliav using following options.  
>
> --enable-vdpau --enable-hwaccels"
> On doing so I can see :
> Enabled hwaccels:
> h263_vdpau        mpeg2_vdpau        vc1_vdpau
> h264_vdpau        mpeg4_vdpau        wmv3_vdpau
> mpeg1_vdpau
>
>
> BUt Still, there are no other plugins available for h264 encoding and
> decoding of VDPAU.
> Does the GPU card Which I am using doesn't have this support? Anyone
> with any clue on this?
Feel free to complete the porting. Other options, which is also
slightly un-maintained on VAAPI side, is to use VDPAU VAAPI driver.


regards,
Nicolas
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel

signature.asc (201 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Hardware acceleration support needed with Gstreamer on NVIDEA GPU

Victor Jaquez
In reply to this post by Shrishty Deorari
On Tue, 01 Aug 2017 at 18:50, Shrishty Deorari wrote:
> Hi All,
>
> I am trying to build VDPAU GStreamer plugins which as I understand are
> supported inside gst-plugins-bad.  I have following system configuration:
>
> System :   16.04 Ubuntu , 64 bit
> Gstreamer: 1.4.5

Please note this a very old version of GStreamer. Unsupported nowadays.

> GPU card and Driver: GeForce GTX 750 Ti, Driver Version: 384.59
>
> The issue is after installing drivers for GPU card and building Gstreamer
> from scratch (all modules one by one) I built gst-plugins-bad but I see
> only one vdpau plugin through  gst-inspect-1.0 command.
>
>  ./gst-inspect-1.0 | grep  vdpau
> vdpau:  vdpaumpegdec: VDPAU Mpeg Decode

That's because it's the only vdpau decoder implemented in GStreamer. Still,
it is unmaintained, AFAIK.

>
> No Other plugins are built or found.
>
> Debugging further I tried enabling hardware accelerations and vdpau while
> configuring gstliav using following options.
>
> --enable-vdpau --enable-hwaccels"
> On doing so I can see :
> Enabled hwaccels:
> h263_vdpau        mpeg2_vdpau        vc1_vdpau
> h264_vdpau        mpeg4_vdpau        wmv3_vdpau
> mpeg1_vdpau

Hardware accelerated decoders in libva are not wrappable in GStreamer.

> BUt Still, there are no other plugins available for h264 encoding and
> decoding of VDPAU.
> Does the GPU card Which I am using doesn't have this support? Anyone with
> any clue on this?

Nowadays, VDPAU is considered deprecated and superseded by NVDEC, and GStreamer
has already an implementation of it, though I don't know if your card supports
it.

vmjl
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Hardware acceleration support needed with Gstreamer on NVIDEA GPU

Sebastian Dröge-3
In reply to this post by Shrishty Deorari
On Tue, 2017-08-01 at 18:50 +0530, Shrishty Deorari wrote:
>
> Hi All,
>
> I am trying to build VDPAU GStreamer plugins which as I understand
> are supported inside gst-plugins-bad.  I have following system
> configuration:

To add to the other replies, the VDPAU API is not supported by NVIDIA
anymore and NVENC/NVDEC are the new APIs. Both are supported by
GStreamer nowadays.

--
Sebastian Dröge, Centricular Ltd · http://www.centricular.com
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel

signature.asc (1019 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Hardware acceleration support needed with Gstreamer on NVIDEA GPU

Shrishty Deorari
Thanks for the clarification. I was able to compile NVENC plugins on gst-plugins-bad-1.8.0.
Is there NVDEC also available on further Gstreamer  versions?


With Warm Regards,

Shrishty Deorari

VVDN Technologies Pvt Ltd

Cell : +91 7773980237 | Skype : shrishty_vvdn



On Tue, Aug 1, 2017 at 9:30 PM, Sebastian Dröge <[hidden email]> wrote:
On Tue, 2017-08-01 at 18:50 +0530, Shrishty Deorari wrote:
>
> Hi All,
>
> I am trying to build VDPAU GStreamer plugins which as I understand
> are supported inside gst-plugins-bad.  I have following system
> configuration:

To add to the other replies, the VDPAU API is not supported by NVIDIA
anymore and NVENC/NVDEC are the new APIs. Both are supported by
GStreamer nowadays.

--
Sebastian Dröge, Centricular Ltd · http://www.centricular.com

_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel



_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Hardware acceleration support needed with Gstreamer on NVIDEA GPU

Sebastian Dröge-3
On Wed, 2017-08-02 at 20:41 +0530, Shrishty Deorari wrote:
> Thanks for the clarification. I was able to compile NVENC plugins on
> gst-plugins-bad-1.8.0.
> Is there NVDEC also available on further Gstreamer  versions?

It's in no release yet, but you can get it from GIT master. NVENC also
got various improvements since 1.8

--
Sebastian Dröge, Centricular Ltd · http://www.centricular.com
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel

signature.asc (981 bytes) Download Attachment
Loading...